﻿@import url('https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:wght@400;700&display=swap');

:root {
    --primary: #CE2B2E;
    --secondary: #A52225;
    --light: #F4F4F4;
    --muted: #A4A4A4;
    --border: #B2B2B2;
    --gray: #6C6C6C;
    --dark: #121212;
}

body {
    background: var(--light);
    color: var(--dark);
    font-family: 'Plus Jakarta Sans', sans-serif !important;
    /*-webkit-font-smoothing  : antialiased;*/
    /*-moz-osx-font-smoothing : grayscale;*/
    margin: 0;
    min-width: 20rem;
    padding-top: 7.5rem;
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
    color: black;
    line-height: 1.2;
    margin-bottom: .5em;
    margin-top: 0;
    font-weight: 700;
}

a {
    transition: color .25s ease-in-out;
    -moz-transition: color .25s ease-in-out;
    -webkit-transition: color .25s ease-in-out;
}

    a:not([class]), a.btn {
        color: var(--primary);
        text-decoration: underline;
    }

        a:not([class]):hover, a.btn:hover {
            color: var(--secondary);
            text-decoration: underline;
        }

.row > h1, .row > .btn {
    margin-left: 15px;
}

/*Navbar*/
#navbar {
    background: white;
    -webkit-box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, .075);
    -moz-box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, .075);
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, .075);
    height: 5rem;
}

    #navbar .navbar-toggler {
        width: 5rem;
        height: 5rem;
        background: white;
        margin-right: 0;
    }

        #navbar .navbar-toggler:before,
        #navbar .navbar-toggler .navbar-toggler-icon,
        #navbar .navbar-toggler:after {
            content: '';
            background: var(--dark);
            height: .25rem;
            width: 1.5rem;
            display: block;
            margin: 0 auto;
        }

        #navbar .navbar-toggler .navbar-toggler-icon,
        #navbar .navbar-toggler:after {
            margin-top: .25rem;
        }

.show-nav #navbar .navbar-toggler:before {
    transform: translateY(.5rem) rotate(135deg);
    -webkit-transform: translateY(.5rem) rotate(135deg);
    -moz-transform: translateY(.5rem) rotate(135deg);
}

.show-nav #navbar .navbar-toggler-icon {
    transform: scale(0);
    -moz-transform: scale(0);
    -webkit-transform: scale(0);
}

.show-nav #navbar .navbar-toggler:after {
    transform: translateY(-.5rem) rotate(-135deg);
    -moz-transform: translateY(-.5rem) rotate(-135deg);
    -webkit-transform: translateY(-.5rem) rotate(-135deg);
}

#navbar .logo h3 {
    margin: -.5rem 0 0 1.5rem;
    font-size: 1.75rem;
}

    #navbar .logo h3 .badge {
        font-size: 0.4em;
        vertical-align: top;
    }

#navbar .logo h4 {
    margin: 0;
    font-size: .875rem;
    top: 48px;
    position: absolute;
    left: 138px;
    font-weight: 400;
}

#navbar .logo h3 a {
    color: black;
    text-decoration: none;
}

#navbar .logo h4 a {
    text-decoration: none;
}

#navbar .logo object {
    width: 10rem;
}

/*Buttons*/
button:focus {
    outline: none;
}

.btn {
    padding: 0.6875rem 1.25rem;
    border-radius: 0;
    letter-spacing: .02em;
}

    .btn:focus {
        box-shadow: none !important;
    }

.btn-primary, .btn-secondary, .btn-danger {
    font-size: 1rem;
    font-weight: 700;
    text-decoration: none !important;
    text-transform: uppercase;
    border-radius: 0;
    color: white !important;
}

.btn-primary, .btn-danger {
    background: var(--primary);
    border-color: var(--primary);
}

    .btn-primary:hover, .btn-danger:hover {
        background: var(--secondary);
        border-color: var(--secondary);
    }

.btn-secondary {
    background: var(--dark);
    border-color: var(--dark);
}

    .btn-secondary:hover {
        background: var(--primary);
        border-color: var(--primary);
    }

.btn-link {
    color: var(--gray);
}

    .btn-link:hover {
        color: var(--dark);
    }

.btn i {
    margin-right: .5rem;
}

/*Card*/
.card {
    box-shadow: 0 0 0.75rem rgba(0, 0, 0, .12);
    border-radius: 0;
    border: 0;
}

/*Forms*/
.form-control {
    padding: 0.6875rem 1rem;
    border-color: var(--border);
    border-radius: 0;
    color: black;
}

    .form-control:focus {
        box-shadow: none;
        border-color: var(--dark);
    }

    .form-control .form-control {
        border: 0;
        padding: 0;
    }

.input-group-text {
    border-radius: 0;
    background: var(--light);
    border-color: var(--border);
    color: var(--muted);
}

.dxbs-textbox {
    border-left: 0;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    transition: background-color 9999s ease-in-out 0s;
}

/*Tables*/
.table-bordered td, .table-bordered th {
    border: 1px solid #E9E9E9;
}

.table-sm td, .table-sm th {
    font-size: .875rem;
    line-height: 1.25rem;
    padding: 0.375rem .625rem;
}

.table th a, .table th a:hover {
    color: inherit;
    text-decoration: none;
}

.dxbs-gridview + br {
    border-top: 1px solid #E9E9E9;
}

/*Sidebar*/
#sidebar {
    top: 5rem;
    width: 15rem;
}

    #sidebar .sidebar-body {
        padding-top: 0;
    }

.nav-pills .nav-link {
    color: var(--dark) !important;
    border-radius: 0;
    font-size: 1rem;
    font-weight: 700;
    padding: .75rem 1.25rem !important;
    white-space: nowrap;
}

.nav-pills .nav-item {
    border-top: 1px solid #E9E9E9;
}

    .nav-pills .nav-item .nav-link:hover, .nav-pills .nav-link.active, .nav-pills .show > .nav-link {
        background: transparent !important;
        color: var(--primary) !important;
    }

    .app-sidebar .nav-pills .nav-item:last-of-type {
        padding-top: 1.25rem;
    }

        .app-sidebar .nav-pills .nav-item:last-of-type .nav-link {
            color: var(--gray) !important;
            font-size: .875rem !important;
            font-weight: 400;
        }

            .app-sidebar .nav-pills .nav-item:last-of-type .nav-link:hover {
                color: var(--dark);
            }

/*Tabs*/
.tab-content {
    background: white;
    border: 1px solid #DEE2E6;
    border-top-width: 0;
}

.dxbs-tabs .tab-content {
    padding: 0;
}

.dxbs-gridview > .card .dxbs-table > tbody > tr > td {
    border-bottom-width: 0;
    vertical-align: top;
}

.tab-content .card {
    border: 0;
    box-shadow: none;
}

.tab-content .row, .tab-content .card-body, .tab-content .dxbs-tabs {
    padding: 1em;
}

.tab-content .dxbs-tabs {
    padding-bottom: 0;
}

.tab-pane > br {
    height: 1em;
    display: block;
    content: "";
}

    .tab-pane > br + .btn {
        margin: 0 0 1rem 1rem;
    }

.tab-content *:last-child {
    margin-bottom: 0;
}

.nav-tabs .nav-link {
    color: var(--gray);
    border-radius: 0;
    border: 0;
}

    .nav-tabs .nav-link:hover {
        color: var(--primary) !important;
        border-color: transparent;
    }

    .nav-tabs .nav-link.active {
        background: transparent;
        color: var(--dark);
        font-weight: 700;
    }

/*.nav-tabs .nav-link.active:hover {*/
/*    border-color : #DEE2E6 #DEE2E6 #FFFFFF;*/
/*}*/

/*Pagination*/
.pagination, .page-item:first-child .page-link, .page-item:last-child .page-link {
    border-radius: 0;
}

.page-link {
    font-size: .875rem;
    line-height: 1.25rem;
    color: var(--gray);
    min-width: 2.5rem;
    text-align: center;
    height: 2.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

    .page-link:hover {
        background-color: var(--light);
        color: var(--dark);
    }

.page-item.disabled .page-link {
    color: var(--muted);
}

.page-link:focus {
    box-shadow: none;
}

.page-item.active .page-link {
    background-color: var(--dark);
    border-color: var(--dark);
}

#content {
    margin-left: 15rem;
    padding-bottom: 1.5rem;
    padding-right: 1.5rem;
}

@media (min-width : 992px) {
    /* md, lg*/
    #content {
        padding: 0 2.5rem 2.5rem;
    }

    body.collapse-nav #sidebar {
        width: 5rem;
    }

    body.collapse-nav #content {
        margin-left: 5rem;
        width: calc(100% - 5rem);
    }

    body:not(.collapse-nav) #sidebar #navTreeView .image {
        display: inline-block !important;
        font-size: inherit !important;
        margin-right: .75rem;
        vertical-align: 0.0625em;
    }
}

@media (max-width : 991px) {
    /* xxs, xs, sm */
    #content {
        padding-left: 1.5rem;
    }

    body.show-nav #sidebar {
        width: 15rem;
    }

        body.show-nav #sidebar #navTreeView {
            margin-top: 0;
            min-width: 15rem;
        }

    body.show-nav #content {
        margin-left: 15rem;
    }
}

@media (min-width : 576px) and (max-width : 991px) {
    /* xs, sm */
    #sidebar {
        width: 5rem;
    }

    #content {
        width: calc(100% - 5rem);
        margin-left: 5rem;
    }
}

@media (min-width : 576px) and (max-width : 767px) {
    #sidebar > .sidebar-body {
        bottom: 7.5rem;
    }
}

@media (max-width : 575px) {
    #sidebar {
        width: 0;
    }

        #sidebar .sidebar-body {
            bottom: 7.5rem;
        }

    #content {
        width: 100%;
        margin-left: 0;
    }

    #sidebar #bottomNav a .image + span {
        display: inline;
        line-height: 1.75rem;
    }
}